Name:           perl-Alien-ProtoBuf
Version:        0.09
Release:        1%{?dist}
Summary:        Find Protocol Buffers library
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Alien-ProtoBuf
Source0:        https://cpan.metacpan.org/authors/id/M/MB/MBARBON/Alien-ProtoBuf-%{version}.tar.gz
# Although Alien::* modules are usually architecture specific because they
# stores architecture specific data, this is not a case of
# perl-Alien-ProtoBuf. We can remain noarch.
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Alien::Base::ModuleBuild) >= 0.023
BuildRequires:  perl(lib)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.11
BuildRequires:  perl(Module::Build) >= 0.28
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  pkgconfig(protobuf)
# Run-time:
BuildRequires:  perl(Alien::Base)
# Tests:
BuildRequires:  perl(Test::More)
# Test::Pod not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(Module::Build) >= 0.28
# A purpose of this package is to ensure a user can develop against protobuf.
# We require exact version because the version is stored into generated
# Alien/ProtoBuf/Install/Files.pm file.
Requires:       pkgconfig(protobuf) = %(type -p pkgconf >/dev/null && pkgconf --exists libpkgconf && pkg-config --modversion protobuf || echo 0)

%description
Depending on Alien::ProtoBuf Perl module ensures the Protocol Buffers library
is installed on your system.

%prep
%setup -q -n Alien-ProtoBuf-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 12 2019 Petr Pisar <ppisar@redhat.com> - 0.09-1
- 0.09 bump

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-2
- Perl 5.30 rebuild

* Thu Mar 14 2019 Petr Pisar <ppisar@redhat.com> 0.08-1
- Specfile autogenerated by cpanspec 1.78.
